import router from './router'
import store from './store'
import NProgress from 'nprogress' // Progress 进度条
import 'nprogress/nprogress.css' // Progress 进度条样式
import { Message } from 'element-ui'
import {
    getAllmenus
} from '@/api/getInfo.js'
const whiteList = ['/login'] // 不重定向白名单

// router.beforeEach((to, from, next) => {
//     NProgress.start()
//     if (sessionStorage.getItem('TOKENL')) {
//         //  首先走else 获取用户信息，然后不清空用户信息token，还是会跳转到首页
//         if (to.path === '/login') {
//             next({
//                 path: '/'
//             })
//             NProgress.done()
//                 // if current page is dashboard will not trigger  afterEach hook, so manually handle it
//         } else {
//             store.dispatch('GetInfo').then(res => {
//                 localStorage.setItem('userInfo', JSON.stringify(res))
//                 getAllmenus(res.userId).then(res => {
//                     const leftMenuList = res.data[0].children[0].children
//                     sessionStorage.setItem('leftMenuList', JSON.stringify(leftMenuList))
//                     next()
//                 })
//             }).catch((err) => {
//                 store.dispatch('FedLogOut').then(() => {
//                     Message.error(err || 'Verification failed, please login again')
//                     if (from.path != '/login') {
//                         next({
//                             path: '/'
//                         })
//                     }
//                     return
//                 })
//             })
//         }
//     } else {
//         if (whiteList.indexOf(to.path) !== -1) {
//             next()
//         } else {
//             next('/login')
//             NProgress.done()
//         }
//     }
// })

router.beforeEach((to, from, next) => {
    NProgress.start()
    if (sessionStorage.getItem('TOKENL')) {
        //  首先走else 获取用户信息，然后不清空用户信息token，还是会跳转到首页
        if (to.path === '/accountability') {

        }
        next()
    } else {
        NProgress.done(true)
        location.replace(location.pathname + 'login.html')
    }
})

router.afterEach(() => {
    NProgress.done() // 结束Progress
})